
QGIS Application - Bug report #21319

Topology checker fix only 1 error

2019-02-20 10:38 AM - Vladimír Hans

Status: Open

Priority: Normal

Assignee:

Category: C++ plugins/Topology checker

Affected QGIS version:3.5(master) Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 29137

Description

For example I marked 3 gaps in table Geometry check result I click on button "Fix selected errors using default resolution" and checker

showed that it fixed 1 gaps. Testing data are in attachment.

History

#1 - 2019-02-20 11:20 AM - Giovanni Manghi

- Status changed from Open to Feedback

How this differs from #21318 ?

#2 - 2019-02-20 12:36 PM - Vladimír Hans

- File fixgaps.png added

I think, that are 2 different issues. Bug #21318 is about fix without changing shape and this bug is about run only 1 fix if I mark more errors in table

Geometry check result. See on picture in attachment. I selected 27 gaps.

#3 - 2019-02-21 12:41 PM - Giovanni Manghi

Vladimír Hans wrote:

I think, that are 2 different issues. Bug #21318 is about fix without changing shape and this bug is about run only 1 fix if I mark more errors in table

Geometry check result. See on picture in attachment. I selected 27 gaps.

I really think are two aspects of the same problem, but of course I can be wrong.

Can you fix the problems in your datatset using the geometry checker in 2.18?

#4 - 2019-02-21 01:32 PM - Vladimír Hans

I tried fix this dataset in version 2.18 too. I selectet all gaps and QGIS fixed 4 errors. But created invalid shape. I ran again check geometries and I set

checking gaps and overlaps. Checker geometries showed this message:

Gap check: TopologyException: Input geom 1 is invalid: Too few points in geometry component at or near point -777866.76970050996
-1164621.38829763 at -777866.76970050996 -1164621.38829763

#5 - 2019-02-21 01:32 PM - Giovanni Manghi

- Operating System deleted (Windows 7)

- Status changed from Feedback to Open

Files

fixgaps.png 213 KB 2019-02-20 Vladimír Hans
